lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tom Kealy Kealy <Tom.Kealy.Ke...@bristol.ac.uk>
Subject Installing pylucene on machos 10.11
Date Mon, 04 Jul 2016 10:58:19 GMT
Dear Lucene-dev,

I'm having difficulty installing pylucene on mac OS X 'El Captian' 10.11.

I've checked out the jcc source code:

    svn co http://svn.apache.org/repos/asf/lucene/pylucene/trunk/jcc bcc

i've got idk 1.8, and have edited the setup.py file to target idk 1.8.

When I try to build with the following commands

    $ python setup.py build
    $ sudo python setup.py install

I get the following error:

    found JAVAHOME =
/Library/Java/JavaVirtualMachines/jdk1.8.0_91.jdk/Contents/Home
    found JAVAFRAMEWORKS = /System/Library/Frameworks/JavaVM.framework

/Users/tk12098/anaconda/lib/python2.7/site-packages/setuptools-20.3-py2.7.egg/pkg_resources/__init__.py:194:
RuntimeWarning: You have iterated over the result of
pkg_resources.parse_version. This is a legacy behavior which is
inconsistent with the new version class introduced in setuptools 8.0. In
most cases, conversion to a tuple is unnecessary. For comparison of
versions, sort the Version instances directly. If you have another use case
requiring the tuple, please file a bug with the setuptools project
describing that need.
    Traceback (most recent call last):
      File "setup.py", line 209, in <module>
    ''')
    RuntimeError:

    Please set the environment variable MACOSX_DEPLOYMENT_TARGET to at
least 10.5.

This happens after the second command ('sudo python setup.py install').

I've checked with `printenv` and `MACOSX_DEPOLYMENT_TARGET=10.11`.

I'm not sure how to resolve this.

Tom

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message